> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign up customer in Residential zone

> Use the Bright Data Reseller API to sign up a Customer in the Residential zone. Manages reseller customers, IPs or usage; returns 200 OK as JSON.

<Tip>
  Use `vertical` and `ext_cust_email` to sign up customers with vertical
</Tip>


## OpenAPI

````yaml api-reference/openapi-reseller POST /api/{PARTNER_NAME}/signup_residential
openapi: 3.0.1
info:
  title: Bright Data API
  description: >-
    Integrate Bright Data APIs to your pipeline and secure high-end scraping
    precision
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /api/{PARTNER_NAME}/signup_residential:
    post:
      parameters:
        - in: path
          name: PARTNER_NAME
          description: Name of the proxy zone which will service your request.
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                zone:
                  type: string
                  description: Zone name
                  default: residential
                  example: residential
                vertical:
                  type: string
                  description: >-
                    Zone vertical. Can be either `sneakers_release` or
                    `product_release_goods`
                  default: sneakers_release|product_release_goods
                  example: sneakers_release|product_release_goods
                ext_cust_email:
                  type: string
                  description: >-
                    Email of existing trusted customer. Specify this parameter
                    when using `product_release_goods` vertical
                  example: johndoe@example.com
                asn_targeting:
                  type: number
                  description: Enable City targeting permission
                  default: 1
                  example: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                example:
                  id: CUSTOMER_ID
                  zone: ZONE
                  password: PASSWORD
                  api_token: API_KEY
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use your Bright Data API Key as a Bearer token in the Authorization
        header.


        **How to authenticate:**

        1. Obtain your API Key from the Bright Data account settings at
        https://brightdata.com/cp/setting/users

        2. Include the API Key in the Authorization header of your requests

        3. Format: `Authorization: Bearer YOUR_API_KEY`


        **Example:**

        ```

        Authorization: Bearer
        b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

        ```


        Learn how to get your Bright Data API key:
        https://docs.brightdata.com/api-reference/authentication
      bearerFormat: API Key

````